Index: src/utils.c
===================================================================
--- src/utils.c	(revision 3460)
+++ src/utils.c	(working copy)
@@ -43,7 +43,9 @@
 #endif
 
 #include <glib/gstdio.h>
-#include <gio/gio.h>
+#ifdef HAVE_GIO
+#  include <gio/gio.h>
+#endif
 
 #include "prefs.h"
 #include "support.h"
Index: src/Makefile.am
===================================================================
--- src/Makefile.am	(revision 3460)
+++ src/Makefile.am	(working copy)
@@ -48,7 +48,7 @@
 	utils.c utils.h
 
 
-geany_includedir = $(includedir)/geany/
+geany_includedir = $(includedir)/geany
 geany_include_HEADERS = \
 	dialogs.h \
 	document.h \
Index: tagmanager/include/Makefile.am
===================================================================
--- tagmanager/include/Makefile.am	(revision 3460)
+++ tagmanager/include/Makefile.am	(working copy)
@@ -1,7 +1,7 @@
 noinst_HEADERS = \
 	gnuregex.h
 
-tagmanager_includedir = $(includedir)/geany/tagmanager/
+tagmanager_includedir = $(includedir)/geany/tagmanager
 tagmanager_include_HEADERS = \
 	tm_project.h \
 	tm_source_file.h \
Index: plugins/Makefile.am
===================================================================
--- plugins/Makefile.am	(revision 3460)
+++ plugins/Makefile.am	(working copy)
@@ -8,7 +8,7 @@
 
 plugindir = $(libdir)/geany
 
-plugins_includedir = $(includedir)/geany/
+plugins_includedir = $(includedir)/geany
 plugins_include_HEADERS = \
 	pluginmacros.h \
 	geanyfunctions.h
